This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 475775 - Review Request: perl-AnyEvent-BDB - Truly asynchronous Berkeley DB access
Review Request: perl-AnyEvent-BDB - Truly asynchronous Berkeley DB access
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 07:54 EST by Nicolas Chauvet (kwizart)
Modified: 2008-12-19 10:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-19 10:55:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-12-10 07:54:08 EST
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-AnyEvent-BDB.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/perl-AnyEvent-BDB-1.0-1.fc11.src.rpm
Description: Truly asynchronous berkeley db access

rpmlint is clean 
built using mock in rawhide-i386
Comment 1 Jason Tibbitts 2008-12-10 17:43:44 EST
You might want to capitalize "Berkeley DB" in your Summary: and %description.  That's really the only thing I can see to complain about.

* source files match upstream.  sha256sum:
  d2728acb0e75624100ba41fe0a0464ef92a2c90469599fec14332f3a17e59179  
   AnyEvent-BDB-1.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK (perhaps capitalize Berkeley DB).
* description is OK (capitalization).
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(AnyEvent::BDB) = 1.0
   perl-AnyEvent-BDB = 1.0-1.fc11
  =
   perl(:MODULE_COMPAT_5.10.0)
   perl(AnyEvent)
   perl(BDB)
   perl(base)
   perl(strict)

* %check is present and all tests pass:
  All tests successful.
  Files=1, Tests=1,  0 wallclock secs ( 0.00 usr  0.00 sys +  0.00 cusr  0.01 
   csys =  0.01 CPU)
  (not much of a test suite, but...)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 2 Nicolas Chauvet (kwizart) 2008-12-11 09:45:25 EST
New Package CVS Request
=======================
Package Name: perl-AnyEvent-BDB
Short Description: Truly asynchronous Berkeley DB access
Owners: kwizart
Branches: F-10 F-9 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-12-14 00:15:47 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.